Bug 12406 - support new nforce
: support new nforce
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etherboot)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-26 14:06 by
Modified: 2007-08-11 17:39 (History)


Attachments
etherboot-5.4.3-forcedeth.patch (6.04 KB, patch)
2007-07-26 14:09, led@altlinux.org
no flags Details | Diff
etherboot-5.4.3-forcedeth.patch (8.36 KB, patch)
2007-07-26 21:56, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-26 14:06:39
Не поддерживаются новые nforce чипсеты (в плане Ethernet) (драйвер forcedeth).
------- Comment #1 From 2007-07-26 14:09:53 -------
Created an attachment (id=2114) [details]
etherboot-5.4.3-forcedeth.patch

Предлагаю патч, который с которым новые nforce обнаруживаются и работают.
Кроме одного момента: не выставляется правильный мак-адрес, поэтому он
назначается случайно. По этой причине, после прикладывания патча багу прошу
совсем не закрывать, а пометить, скажем, как WANTFIX (постараюсь в позже и это
исправить)
------- Comment #2 From 2007-07-26 21:56:56 -------
Created an attachment (id=2115) [details]
etherboot-5.4.3-forcedeth.patch

А вот и полный патч, который (наконей-то?) всё исправляет:)
------- Comment #3 From 2007-08-02 11:16:22 -------
Выдал тебе права на залитие :)  в апстрим патч сам зашлёшь или мне озадачиться?
------- Comment #4 From 2007-08-02 17:55:38 -------
(In reply to comment #3)
> Выдал тебе права на залитие

Заливать можно что угодно? потому как я конкретно перелопатил спек, вчистил 
много лишнего, etherboot-doc вынес в отдельный src.rpm, contrib переложил 
из %_docdir в %_datadir/%name/ ...

> :)  в апстрим патч сам зашлёшь или мне озадачиться?

AFAIR там они просто так патчи не принмают... Но может я просто плохо R:)
------- Comment #5 From 2007-08-06 23:24:54 -------
(In reply to comment #4)
> Заливать можно что угодно?
Да, лишь бы работало.

> > :)  в апстрим патч сам зашлёшь или мне озадачиться?
> AFAIR там они просто так патчи не принмают... Но может я просто плохо R:)
Мне озадачиться?
------- Comment #6 From 2007-08-11 17:39:10 -------
fixed